Summary: Perl SASL Authentication Module
Name: perl-Authen-SASL
Requires: perl
Packager: Horms <horms@verge.net.au>
Version: 2.08
Release: 1.rh.el.um.1
Copyright: As Perl:- Artistic License or GPL
Group: Development/Libraries/Perl
Source: http://www.cpan.org/modules/by-module/XML/Authen-SASL-%{version}.tar.gz
URL: http://www.cpan.org/modules/by-module/XML/
BuildRoot: /var/tmp/%{name}-root
BuildPreReq: perl
Requires: perl
BuildArch: noarch

%description 
Perl SASL Authentication Module

%prep
%setup -n Authen-SASL-%version

%build
eval `perl -V:prefix`
echo n | perl Makefile.PL -- CCFLAGS="${RPM_OPT_FLAGS}" \
	"PREFIX=$RPM_BUILD_ROOT/$prefix"
make test

%install
# These eval statements used to be one line, but
# that doesn't appear to work on Red Hat 9
eval `perl -V:installsitelib`
eval `perl -V:installsitearch`
eval `perl -V:man3dir`
rm -rf "$RPM_BUILD_ROOT"
make install
rm -rf "$RPM_BUILD_ROOT/${installsitearch}/"
echo "${installsitelib}/Authen" > filelist
echo "${man3dir}/*" >> filelist

%clean
rm -rf "$RPM_BUILD_DIR/Authen-SASL-%{version}"
rm -rf "$RPM_BUILD_ROOT"

%files -f filelist
%defattr(-,root,root)
%doc api.txt

%changelog
* Thu Jan 27 2005 Horms <horms@verge.net.au> (2.08-1.rh.el.um.1)
- Updated for 2.08

* Tue Mar 18 2003 Horms <horms@verge.net.au>
- Created for 1.22

